ASKMARA(1)

NAME
askmara - do simple dns queries

DESCRIPTION
askmara queries the user-specified dns server for records, and outputs the reply in a csv1-compatible format (csv1 is the format of zone files that maradns uses).

USAGE
askmara [-n] [ -v | -t timeout] query [ server ]

OPTIONS

-t  If this is present, the following argument is the askmara timeout, in seconds. Note that askmara can not both have a user-defined timeout and verbose output.

-v  If this is set, askmara will verbosely output the complete reply that the server sent. Note that this verbose output is not csv1-compatible.

-n  If this is set, askmara, when sending out a query, will not request DNS recursion; in other words, askmara will request that the remote DNS server not contact other DNS server to answer the query in question.

query
    dns record to be queried. query must be in the format 'Aexample.com.' with the A as the record type to be queried and the trailing dot at the end. Currently askmara supports a handful of resource records, as follows:

    A signifies a request for an A (ipv4 address) RR

    N signifies a NS RR

    C signifies that we are asking for a CNAME RR

    S signifies that we want a SOA RR

    P signifies that we want a PTR RR

    @ signifies that we mant a MX RR

    T signifies that we want a TXT RR

    Z signifies that we want to ask for all RRs.

server
    IP address of the dns server to be queried. If no server is given, askmara will try 127.0.0.3 (which is the IP that the server will bind to by default)

BUGS
When askmara is asked for an SOA record, the output of askmara closely resembles the format of a csv1 file, but can not be parsed as a csv1 file without modification.

askmara does not output unsupported record types correctly.

SEE ALSO
maradns(8)

http://www.maradns.org

LEGAL DISCLAIMER
THIS SOFTWARE IS PROVIDED BY THE AUTHORS ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

AUTHOR
MaraDNS is written by Sam Trenholme. Jaakko Niemi used 5 minutes to roll this manpage together, which Sam has subsequently revised.